Package com.xebialabs.xlrelease.domain.variables.reference

## Class PropertyUsagePoint

- java.lang.Object
- - com.xebialabs.xlrelease.domain.variables.reference.PropertyUsagePoint

- All Implemented Interfaces:
    `UsagePoint`

      public class PropertyUsagePoint
      extends java.lang.Object
      implements UsagePoint

  This usage point means that given property value mentions a variable, e.g. a string property "Some ${var}" or a list property ['value1', 'value 2 with ${var}"].

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyUsagePoint​(ConfigurationItem item, java.lang.String property)` |
    `PropertyUsagePoint​(ConfigurationItem item, java.lang.String property, VariableReference.VariableUsageType defaultType)` |
    `PropertyUsagePoint​(CiProperty ciProperty)` |
    `PropertyUsagePoint​(CiProperty ciProperty, VariableReference.VariableUsageType defaultType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​VariableReference.VariableUsageType>` | `collectVariables()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `CiProperty` | `getTargetProperty()` |
    `int` | `hashCode()` |
    `java.util.Set<ConfigurationItem>` | `replaceVariable​(Variable variable, VariableOrValue replacement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyUsagePoint

          public PropertyUsagePoint​(CiProperty ciProperty)

    - #### PropertyUsagePoint

          public PropertyUsagePoint​(CiProperty ciProperty,
                                    VariableReference.VariableUsageType defaultType)

    - #### PropertyUsagePoint

          public PropertyUsagePoint​(ConfigurationItem item,
                                    java.lang.String property)

    - #### PropertyUsagePoint

          public PropertyUsagePoint​(ConfigurationItem item,
                                    java.lang.String property,
                                    VariableReference.VariableUsageType defaultType)

  - ### Method Detail

    - #### collectVariables

          public java.util.Map<java.lang.String,​VariableReference.VariableUsageType> collectVariables()

      Specified by:
        `collectVariables` in interface `UsagePoint`

    - #### replaceVariable

          public java.util.Set<ConfigurationItem> replaceVariable​(Variable variable,
                                                                  VariableOrValue replacement)

      Specified by:
        `replaceVariable` in interface `UsagePoint`

    - #### getTargetProperty

          public CiProperty getTargetProperty()

      Specified by:
        `getTargetProperty` in interface `UsagePoint`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`